#
# spec file for package perl-ExtUtils-LibBuilder (Version 0.04)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-ExtUtils-LibBuilder
Version:        0.04
Release:        6.3
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name ExtUtils-LibBuilder
Summary:        A tool to build C libraries.
Url:            http://search.cpan.org/dist/ExtUtils-LibBuilder/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/A/AM/AMBS/ExtUtils/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.23
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
%{perl_requires}

%description
A tool to build C libraries.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue May 22 2012 cfarrell@suse.com
- license update: GPL-1.0+ or Artistic-1.0
  SPDX format (http://www.spdx.org/licenses)
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.04
  * created by cpanspec 1.78.04
